## ros-foxy-ros-industrial-cmake-boilerplate 0.4.0

=== debian/changelog ===
ros-foxy-ros-industrial-cmake-boilerplate (0.4.0-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 20 Feb 2023 06:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.3.1-1focal) focal; urgency=high

  * Fix code coverage macro to support plain visibility
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.3.0-1focal) focal; urgency=high

  * Fix target_code_coverage to support targets with plain visibility
  * Update target_cxx_version to support windows
  * Add missing include(GoogleTest) to find_gtest() macro
  * Update package CI to use colcon
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jul 2022 05:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.16-1focal) focal; urgency=high

  * Always treat package description as a single string during extraction
  * Fix cpack to generate correct names for nuget packages (#64 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/64>)
  * Added CPack macro from tesseract (#62 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/62>)
  * Contributors: Josh Langsfeld, Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 22 Jun 2022 05:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.15-1focal) focal; urgency=high

  * Add missing one value arg NAMESPACE to configure_package
  * Auto generation of *-config.cmake files for simple cases (#59 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/59>)
  * Contributors: Josh Langsfeld, Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Sun, 30 Jan 2022 06:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.14-1focal) focal; urgency=high

  * Add newer version of clang-tidy to the list
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 03 Dec 2021 06:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.13-1focal) focal; urgency=high

  * Add --output-on-failure to add_run_test_target
  * Remove deprecated variables
  * Add CXX_STANDARD_REQUIRED ON
  * Contributors: Levi Armstrong, Levi-Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 10 Nov 2021 06:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.12-1focal) focal; urgency=high

  * Add colcon support
  * Improve configure_package
  * Contributors: Levi-Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 13 Oct 2021 05:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.11-1focal) focal; urgency=high

  * Rename clang-tidy keyword ERRORS_CHECKS to ERROR_CHECKS
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 02 Jul 2021 05:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.10-1focal) focal; urgency=high

  * Improve target_clang_tidy to support individual options over single argument list
  * Break out individual function from configure_package
  * Contributors: G.A. vd. Hoorn, Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 02 Jul 2021 05:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.9-1focal) focal; urgency=high

  * Add ENABLE functionality to initialize_code_coverage
  * Improve cpack package naming
  * Add cpack archive package
  * Add CPACK to build debian and nuget package
  * Extract description from package.xml
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 09 Apr 2021 05:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.8-1focal) focal; urgency=high

  * Update package.xml to have buildtool_depend on cmake
  * Set gtest discovery mode to PRE_TEST
  * Moved include of GoogleTest into discover gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 08 Feb 2021 06:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.7-1focal) focal; urgency=high

  * Add contributing file
  * Add license files and update documentation
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 29 Jan 2021 06:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.6-1focal) focal; urgency=high

  * Rename package to ros_industrial_cmake_boilerplate
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 26 Jan 2021 06:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.5-1focal) focal; urgency=high

  * Bump version

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jan 2021 06:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.4-1focal) focal; urgency=high

  * Remove noetic.ignored which should go in the release repository

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jan 2021 06:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.3-1focal) focal; urgency=high

  * Add noetic.ignored to exclude gtest package during bloom release

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jan 2021 06:00:00 -0000

ros-foxy-ros-industrial-cmake-boilerplate (0.2.1-1focal) focal; urgency=high

  * Initial Release
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jan 2021 06:00:00 -0000
