=== debian/control ===
Source: ros-foxy-ros-industrial-cmake-boilerplate
Section: misc
Priority: optional
Maintainer: Levi Armstrong <Levi.Armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, cppcheck <!nocheck>, iwyu <!nocheck>, lcov <!nocheck>, libclang-dev <!nocheck>, libgtest-dev <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-ros-industrial-cmake-boilerplate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros-workspace
Description: Contains boilerplate cmake script, macros and utils
